<?php


require_once(dirname(__FILE__).'/../../config/config.inc.php');
include_once(dirname(__FILE__).'/../../init.php');
require_once(dirname(__FILE__).'/comnpay.php');

// Init
$comnpay = new Comnpay();

// Get the data
$transactionId = Tools::getValue("idTransaction");
$result = Tools::getValue("result");


// Check post data
if (!$comnpay->validSec($_REQUEST, Configuration::get('COMNPAY_GATEWAY_SECRET_KEY')))
{
	Logger::addLog("comnpay module: échec lors de la vérification des données POST !", 4);
    $comnpay->changeIdOrderState($transactionId, (int)Configuration::get('PS_OS_ERROR'));

	header("Status: 400 Bad Request", false, 400);
	exit();
}

// Change order state
if($result == "OK") 
{
    Logger::addLog('comnpay module: payment is validated for id_order '.$transactionId);
    $comnpay->changeIdOrderState($transactionId, Configuration::get('PS_OS_PAYMENT'));
}
else 
{
    Logger::addLog('comnpay module: payment is refused or canceled for id_order '.$transactionId);
    $comnpay->changeIdOrderState($transactionId, Configuration::get('PS_OS_ERROR'));
}


?>


